Method: projects.locations.brands.stores.patch

Update the specified store.

HTTP request

PATCH https://foodorderingaiagent.googleapis.com/v1/{store.name=projects/*/locations/*/brands/*/stores/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
store.name

string

Identifier. The store name. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

allowMissing

boolean

Optional. If set to true, and the store is not found, a new store will be created. In this situation, updateMask is ignored.

Request body

The request body contains an instance of Store.

Response body

If successful, the response body contains an instance of Store.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.